---
title: Document.createCDATASection()
slug: Web/API/Document/createCDATASection
tags:
  - API
  - DOM
  - Method
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p><strong><code>createCDATASection()</code></strong> creates a new CDATA section node, and returns it.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>CDATASectionNode</var> = <var>document</var>.createCDATASection(<var>data</var>);
</pre>

<ul>
 <li><var>CDATASectionNode</var> is a <a href="/en-US/docs/Web/API/CDATASection">CDATA Section</a> node.</li>
 <li><var>data</var> is a string containing the data to be added to the CDATA Section.</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush:js notranslate">var docu = new DOMParser().parseFromString('&lt;xml&gt;&lt;/xml&gt;', 'application/xml')

var cdata = docu.createCDATASection('Some &lt;CDATA&gt; data &amp; then some');

docu.getElementsByTagName('xml')[0].appendChild(cdata);

alert(new XMLSerializer().serializeToString(docu));
// Displays: &lt;xml&gt;&lt;![CDATA[Some &lt;CDATA&gt; data &amp; then some]]&gt;&lt;/xml&gt;
</pre>

<h2 id="Notes">Notes</h2>

<ul>
 <li>This will only work with XML, not HTML documents (as HTML documents do not support CDATA sections); attempting it on an HTML document will throw <code>NOT_SUPPORTED_ERR</code>.</li>
 <li>Will throw a <code>NS_ERROR_DOM_INVALID_CHARACTER_ERR</code> exception if one tries to submit the closing CDATA sequence ("<code>]]&gt;</code>") as part of the data, so unescaped user-provided data cannot be safely used without with this method getting this exception ({{domxref("document.createTextNode","createTextNode()")}} can often be used in its place).</li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-document-createcdatasection', 'document.createCDATASection')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.createCDATASection")}}</p>
